## org.apache.tools.ant.util
Interface TimeoutObserver

All Known Implementing Classes:
  ExecuteJava, ExecuteWatchdog

public interface TimeoutObserver

Interface for classes that want to be notified by Watchdog.

Since:
  Ant 1.5
Author:
  Stefan Bodewig
See Also:
  `Watchdog`

Method Summary
`void` `timeoutOccured(Watchdog w)` Called when the watchdow times out.

Method Detail

### timeoutOccured

    public void timeoutOccured(Watchdog w)

  Called when the watchdow times out.

  Parameters:
    `w` - the watchdog that timed out.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.